%define name perl-Digest-MD5
%define real_name Digest-MD5
%define version 2.11
%define release 1mdk

Summary:	Digest-MD5 module for perl (Security_and_Encryption/SHA)
Name:		%{name}
Version:	%{version}
Release:	%{release}
Copyright:	GPL or Artistic
Group:		Development/Perl
Source0:	%{real_name}-%{version}.tar.bz2
Url:		http://www.cpan.org/
Prefix:		%{_prefix}
BuildRoot:	%{_tmppath}/%{name}-buildroot
Obsoletes:	perl-MD5
Provides:	perl-MD5
Requires:	perl >= 5.600

%description
Digest-MD5 module for perl.

%prep
%setup -q -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{prefix}
%make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{prefix}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=$RPM_BUILD_ROOT%{prefix}

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README Changes rfc1321.txt
%{_libdir}/perl5/man/man3/*
%{perl_sitearch}/*.pm
%{perl_sitearch}/Digest/*
%dir %{perl_sitearch}/auto/Digest
%dir %{perl_sitearch}/auto/Digest/MD2
%{perl_sitearch}/auto/Digest/MD2/MD2.*
%dir %{perl_sitearch}/auto/Digest/MD5
%{perl_sitearch}/auto/Digest/MD5/MD5.*
%dir %{perl_sitearch}/auto/Digest/SHA1
%{perl_sitearch}/auto/Digest/SHA1/SHA1.*


%changelog
* Tue Aug 29 2000 Franois Pons <fpons@mandrakesoft.com> 2.11-1mdk
- 2.11.

* Mon Aug 07 2000 Franois Pons <fpons@mandrakesoft.com> 2.09-10mdk
- oops again! added missing files for a true wrapper of perl-MD5.

* Mon Aug 07 2000 Franois Pons <fpons@mandrakesoft.com> 2.09-9mdk
- oops, added missing provides on perl-MD5.

* Mon Aug 07 2000 Franois Pons <fpons@mandrakesoft.com> 2.09-8mdk
- obsoletes perl-MD5.

* Thu Aug 03 2000 Franois Pons <fpons@mandrakesoft.com> 2.09-7mdk
- macroszifications.
- add doc.

* Sun Jul 09 2000 David BAUDENS <baudens@mandrakesoft.com> 2.09-6mdk
- Fix build
- Spec cleanup
- Rename spec according to package's name

* Fri Mar 31 2000 Pixel <pixel@mandrakesoft.com> 2.09-5mdk
- rebuild, new group, cleanup

* Mon Jan  3 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- final cleanup for Mandrake 7

* Sun Aug 29 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- bzip2'd sources
- updated to 2.09

* Tue May 11 1999 root <root@alien.devel.redhat.com>
- Spec file was autogenerated. 
